from peewee import Model, CharField, ForeignKeyField
from main import config, db

class BaseModel(Model):
    class Meta:
        database = db

class User(BaseModel):
    uuid = CharField(unique=True)

class Role(BaseModel):
    name = CharField()

class UserRole(BaseModel):
    user = ForeignKeyField(User, User.uuid)
    role = ForeignKeyField(Role, Role.name)

