import discord
from discord.ext import commands
import logging

import src.database.migrations.core

logger = logging.getLogger(__name__)
logger.setLevel(logging.INFO)

class Events(commands.Cog):
    def __init__(self, bot):
        self.bot = bot

    @commands.Cog.listener()
    async def on_ready(self):
        """
        Defines all startup checks

        - migrations
        - activity
        - presence
        """
        logger.info("Running database startup migrations.")
        src.database.migrations.core.create_tables()
        logger.info(f"Startup complete | {self.bot.user}")

def setup(bot):
    bot.add_cog(Events(bot))